> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeplo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# GET List Transactions

> Retrieve payment transaction history.

## List transactions

`GET /api/transactions`

Retrieve payment transaction history with filtering.

### Headers

**Cookie** `string` *required*

Session cookie (login via POST /api/auth/login)

### Query parameters

**page** `integer` (default: 1)

Page number.

**limit** `integer` (default: 20)

Items per page.

**status** `string`

Filter by status: `pending`, `completed`, `failed`, `refunded`.

**gateway** `string`

Filter by gateway: `stripe`, `razorpay`, `paypal`, `paystack`, `mercadopago`.

**userId** `integer`

Filter by user.

**startDate** `string`

Start date (ISO 8601).

**endDate** `string`

End date (ISO 8601).

```bash cURL theme={null}
curl "https://zeplo.ai/api/transactions?status=completed&limit=20" \
  -H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw"
```

```json Response theme={null}
{
  "success": true,
  "data": [
    {
      "id": 1,
      "userId": 1,
      "planId": 2,
      "amount": 29.99,
      "currency": "USD",
      "gateway": "stripe",
      "status": "completed",
      "gatewayTransactionId": "ch_abc123",
      "createdAt": "2026-01-01T08:00:00Z"
    }
  ],
  "pagination": {
    "page": 1,
    "limit": 20,
    "total": 45,
    "totalPages": 3
  }
}
```

***

## Get transaction statistics

`GET /api/transactions/stats`

```bash cURL theme={null}
curl https://zeplo.ai/api/transactions/stats \
  -H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw"
```

***

## Export transactions

`GET /api/transactions/export`

**format** `string` (default: csv)

Export format.

```bash cURL theme={null}
curl "https://zeplo.ai/api/transactions/export?format=csv" \
  -H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw" \
  -o transactions.csv
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.